

/*
Styles for CKEditor.

These styles are generic and should aim to match the control panel rather than the site.
We're aiming for consistency / harmony between the editor and control panel styles.
They are not intended to be a one to one match to the front end, that's what the live preview is for.
*/
.ck.ck-editor {

    a {
        text-decoration: underline;
    }

    :is(h2,h3,h4) {
        color: inherit;
        margin-block-end: 0;
    }

    :is(h2,h3,h4):not(:first-child) {
        margin-top: 1.5em;
    }

    h2 {
        font-size: 2.25em;
        font-weight: 800;
    }

    h3 {
        font-size: 1.75em;
    }

    h4 {
        font-size: 1.25em;
    }

    p {
        margin-block: 1.25em;
        margin-inline: 0;
    }

    ul, ol, figure {
        margin-block: 1.5em;
        margin-inline: 0;
    }

    :is(ul,ol) :is(ul,ol) {
        margin-block: 0.25em;
    }

    .u-type-body-sm {
        font-size: 0.875em;
    }

    .u-type-body-lg {
        font-size: 1.75em;
        line-height: 1.25;
    }
}
